.acf-popup-button {
  padding: 0 !important;
  border: none;
  font-family: "Ubuntu", Sans-serif !important;
  font-size: 20px !important;
  font-weight: 500 !important;
  line-height: 1.4em !important;

  background: linear-gradient(90deg, #db023e 0%, #ff3868 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.acf-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;

  .acf-popup-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 80%;
    max-width: 1000px;
    height: 80%;
    max-height: 550px;

    @media (max-width: 768px) {
      width: 100%;
      height: 100%;

      max-width: none;
      max-height: none;
    }

    iframe {
      width: 100%;
      height: 100%;
      border: none;
    }

    .acf-popup-close {
      position: absolute;
      top: 20px;
      right: 40px;
      height: 45px;

      padding: 0;

      cursor: pointer;
      font-size: 24px;
      color: var(--e-global-color-primary);
      background: #eef5f6ff;

      border: none;
    }
  }
}
